Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.ui.cls
Interface Hierarchy

All Superinterfaces:
  edu.stanford.smi.protege.util.Disposable, NavigationHistorySelectable, edu.stanford.smi.protege.util.Selectable

All Known Implementing Classes:
  AssertedClassesPanel, AssertedSubsumptionTreePanel, EditableExistentialTreePanel, EditableSubsumptionTreePanel, ExistentialTreePanel, ExplorerTreePanel, HiddenClassesPanel, InferredSubsumptionTreePanel, SubsumptionTreePanel

    public interface Hierarchy

extends NavigationHistorySelectable

Author:
  Holger Knublauch

Method Summary
`Hierarchy` | `createClone()` Creates a clone of this, i.e.
`edu.stanford.smi.protege.ui.HeaderComponent` | `getHeaderComponent()`
`RDFSClass` | `getSelectedClass()`
`String` | `getTitle()` Gets the title of this instance (e.g.
`String` | `getType()` Gets the general type if this Hierarchy (e.g.
`boolean` | `isDefaultSynchronized()` Checks if this Hierarchy shall be by default synchronized with the asserted class tree.
`void` | `setSelectedClass(RDFSClass cls)`

Methods inherited from interface edu.stanford.smi.protegex.owl.ui.navigation.NavigationHistorySelectable
`navigateToResource`

Methods inherited from interface edu.stanford.smi.protege.util.Selectable
`addSelectionListener, clearSelection, getSelection, notifySelectionListeners, removeSelectionListener`

Methods inherited from interface edu.stanford.smi.protege.util.Disposable
`dispose`

Method Detail

### createClone

    Hierarchy createClone()

  Creates a clone of this, i.e. a Hierarchy with the same type and at least a similar configuration.

  Returns:
    a clone of this

### getHeaderComponent

    edu.stanford.smi.protege.ui.HeaderComponent getHeaderComponent()

### getSelectedClass

    RDFSClass getSelectedClass()

### getTitle

    String getTitle()

  Gets the title of this instance (e.g. "Asserted Hierarchy").

  Returns:
    the title for display purposes

### getType

    String getType()

  Gets the general type if this Hierarchy (e.g. "Subsumption").

  Returns:
    the type for display purposes

### isDefaultSynchronized

    boolean isDefaultSynchronized()

  Checks if this Hierarchy shall be by default synchronized with the asserted class tree.

  Returns:
    true if this hierarchy shall be synchronized by default

### setSelectedClass

    void setSelectedClass(RDFSClass cls)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.